org.apache.tapestry5.ioc.services

## Interface ServiceConfigurationListener

-     public interface ServiceConfigurationListener

  Interface that defines listeners to services getting their distributed configuration.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onMappedConfiguration(ServiceDef serviceDef, Map configuration)` Receives a notification of a mapped configuraton being passed to a service.
    `void` | `onOrderedConfiguration(ServiceDef serviceDef, List configuration)` Receives a notification of an ordered configuraton being passed to a service.
    `void` | `onUnorderedConfiguration(ServiceDef serviceDef, Collection configuration)` Receives a notification of an unordered configuraton being passed to a service.

- - ### Method Detail

    - #### onOrderedConfiguration

          void onOrderedConfiguration(ServiceDef serviceDef,
                                      List configuration)

      Receives a notification of an ordered configuraton being passed to a service.
      Parameters:
        `serviceDef` - a `ServiceDef` identifying the service receiving the configuration.
        `configuration` - a `List` containing the configuration itself.

    - #### onUnorderedConfiguration

          void onUnorderedConfiguration(ServiceDef serviceDef,
                                        Collection configuration)

      Receives a notification of an unordered configuraton being passed to a service.
      Parameters:
        `serviceDef` - a `ServiceDef` identifying the service receiving the configuration.
        `configuration` - a `Collection` containing the configuration itself.

    - #### onMappedConfiguration

          void onMappedConfiguration(ServiceDef serviceDef,
                                     Map configuration)

      Receives a notification of a mapped configuraton being passed to a service.
      Parameters:
        `serviceDef` - a `ServiceDef` identifying the service receiving the configuration.
        `configuration` - a `Map` containing the configuration itself.

5.6.4 - Copyright © 2003-2021 The Apache Software Foundation.